summary refs log tree commit diff
path: root/update
diff options
context:
space:
mode:
Diffstat (limited to 'update')
-rwxr-xr-xupdate22
1 files changed, 22 insertions, 0 deletions
diff --git a/update b/update
new file mode 100755
index 0000000..ab14e0b
--- /dev/null
+++ b/update
@@ -0,0 +1,22 @@
+#!/usr/bin/env zsh
+set -exuo pipefail
+
+# user
+if [[ `whoami` == "root" ]]; then
+	echo "Running as root, skipping user updates..."
+else
+	git --git-dir=$HOME/.dotfiles --work-tree=$HOME pull --rebase
+	pass git pull
+fi
+
+# system
+# consider updating archlinux-keyring first, as infrequently issues arise from having very out of date keys
+paru -Syu
+
+# TODO skip unless paru just updated the kernel (files in /lib/modules will be newer than in /boot/EFI/Linux)
+# TODO keep only 2-3 latest images for -lts and -arch1
+if [[ `cat /etc/hostname` == 'dziban' ]]; then
+	for kernel in /lib/modules/*; do
+		sudo dracut --verbose --force --uefi --kver "${kernel##*/}"
+	done
+fi